> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chemcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lists all suppliers visible to the buyer



## OpenAPI

````yaml https://app.chemcloud.com.au/api-docs/public/buyer/v1/openapi.yaml get /api/public/buyer/v1/suppliers
openapi: 3.0.1
info:
  title: ChemCloud Buyer API
  version: v1
servers:
  - url: https://app.chemcloud.com.au
    description: Production
security: []
paths:
  /api/public/buyer/v1/suppliers:
    get:
      tags:
        - Suppliers
      summary: Lists all suppliers visible to the buyer
      responses:
        '200':
          description: Suppliers retrieved
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                      example: 99999a99-b888-777c-666d-55555555555e
                    name:
                      type: string
                      example: Supplier Co
                    pricing_type:
                      type: string
                      example: delivered
                    resource_values:
                      type: array
                      items:
                        type: object
                        properties:
                          provider:
                            type: string
                            enum:
                              - cin7_core
                              - cin7_omni
                              - myob_acct_right
                              - ostendo
                              - unleashed
                              - fishbowl
                              - advanced_business_manager
                              - wiise
                              - sage_x3
                              - amwin
                              - microsoft_dynamics_ax
                              - tencia
                              - webhook
                              - xero
                              - mrp_easy
                              - zoho
                              - myob_acumatica
                              - microsoft_dynamics_365
                              - tidy_stock
                              - microsoft_dynamics_365_fo
                              - infor
                              - filemaker
                              - approval_max
                            example: cin7_core
                          value:
                            type: string
                            example: 99999a99-b888-777c-666d-55555555555e
                    created_at:
                      type: string
                      format: date-time
                      example: '2025-12-31T23:13:11.862Z'
                    updated_at:
                      type: string
                      format: date-time
                      example: '2025-12-31T23:13:11.862Z'
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````